summaryrefslogtreecommitdiffstats
path: root/source/script/installdirs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/script/installdirs.sh')
-rwxr-xr-xsource/script/installdirs.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/source/script/installdirs.sh b/source/script/installdirs.sh
new file mode 100755
index 00000000000..1db46b82ff2
--- /dev/null
+++ b/source/script/installdirs.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+while ( test -n "$1" ); do
+
+ DIRNAME=`echo $1 | sed 's/\/\//\//g'`
+ if [ ! -d $DIRNAME ]; then
+ mkdir -p $DIRNAME
+ fi
+
+ if [ ! -d $DIRNAME ]; then
+ echo Failed to make directory $1
+ exit 1
+ fi
+
+ shift;
+done
+
+
+